@font-face {
    font-family: "Moodcake";
    src: url(/assets/Moodcake.otf);
}

@font-face {
    font-family: "Cash Market";
    src: url(/assets/CashMarket.ttf);
}

:root {
    --paris-green: #4DD363;
    --paris-green-muted: #51b461;
    --neon-fuchsia: #FF4CBB;
    --neon-fuchsia-muted: #b4508e;
    --medium-slate-blue: #8066F5;
    --medium-slate-blue-muted: #6250b4;
    --white: #EAEAEA;
    --black: #2E2D47;
    --gray: #14141F;

    --background-color: var(--black);
    --display-font: "Moodcake";
    --font: "Cash Market";
}

* {
    box-sizing: border-box;
    margin: 0;
}

a {
    text-decoration: none;
}

h1, h2, h3, h4, h5 {
    font-weight: lighter;
    font-family: var(--display-font);
}

body {
    background-color: var(--background-color);
    min-height: 100vh;
    width: 100%;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    margin: 0;
    padding: 0;
    font-family: var(--font)
}

body::before {
    content: "";
    display: block;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: -1;

    background-image: linear-gradient(50deg, #2e2d47 13.33%, #4dd363 13.33%, #4dd363 16.67%, #2e2d47 16.67%, #2e2d47 30%, #ff4cbb 30%, #ff4cbb 33.33%, #2e2d47 33.33%, #2e2d47 46.67%, #8066f5 46.67%, #8066f5 50%, #2e2d47 50%, #2e2d47 63.33%, #4dd363 63.33%, #4dd363 66.67%, #2e2d47 66.67%, #2e2d47 80%, #ff4cbb 80%, #ff4cbb 83.33%, #2e2d47 83.33%, #2e2d47 96.67%, #8066f5 96.67%, #8066f5 100%);
background-size: 97.91px 116.68px;
background-repeat: repeat;

    opacity: 0.3;
}

.title {
    margin-bottom: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.title > h1 {
    font-size: 4em;
    color: var(--white);
    -webkit-text-stroke: var(--black) 3px;
    text-shadow: var(--gray) 4px 4px 0px;
    margin-bottom: 10px;
}

@media screen and (max-width: 768px) {
    .title {
        text-align: center;
        padding: 0px 10px;
    }
}

.buttons-wrapper {
    padding: 10px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.buttons {
    max-width: 700px;
    width: 100%;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 5px;
}

.link {
    height: 40px;
    border-radius: 0.25rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.link-bottom {
    width: calc(25% - 4px);
}

@media screen and (max-width: 768px) {
    .link, .link-top, .link-bottom {
        width: 100%
    }
}

.black {
    background-color: var(--black);
    border: 2px solid var(--white);
    color: var(--white);
    box-shadow: var(--gray) 4px 4px 0px;
}

.reference {
    height: 400px;
    width: auto;
}

.gallery {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
}